summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-12-29 11:48:29 (GMT)
committerWaldemar Brodkorb <wbx@openadk.org>2009-12-29 11:48:29 (GMT)
commit8dbadd582b22e1997cc82477e41d20e25fb604b1 (patch)
tree5d2afb135b25835d4709f1922ccd09f68359a024
parent220673079b26c06269ca370c14de66bc82d6e88d (diff)
parent0b9bf7c336b992c90e764c327b945bf8ee20a202 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
-rw-r--r--package/bzip2/patches/patch-Makefile.orig34
-rw-r--r--package/fontconfig/patches/patch-fc-case_Makefile_in.orig24
-rw-r--r--package/snort/patches/patch-configure.orig74
-rw-r--r--package/snort/patches/patch-src_detection-plugins_sp_pattern_match_c.orig47
-rw-r--r--package/snort/patches/patch-src_detection-plugins_sp_replace_c.orig11
-rw-r--r--package/snort/patches/patch-src_log_c.orig38
-rw-r--r--package/snort/patches/patch-src_output-plugins_spo_alert_unixsock_c.orig32
7 files changed, 0 insertions, 260 deletions
diff --git a/package/bzip2/patches/patch-Makefile.orig b/package/bzip2/patches/patch-Makefile.orig
deleted file mode 100644
index 4884c38..0000000
--- a/package/bzip2/patches/patch-Makefile.orig
+++ /dev/null
@@ -1,34 +0,0 @@
---- bzip2-1.0.5.orig/Makefile 2008-02-14 13:39:18.000000000 +0100
-+++ bzip2-1.0.5/Makefile 2009-08-23 20:16:24.000000000 +0200
-@@ -15,16 +15,16 @@
- SHELL=/bin/sh
-
- # To assist in cross-compiling
--CC=gcc
--AR=ar
--RANLIB=ranlib
--LDFLAGS=
-+CC?=gcc
-+AR?=ar
-+RANLIB?=ranlib
-+LDFLAGS?=
-
- BIGFILES=-D_FILE_OFFSET_BITS=64
--CFLAGS=-Wall -Winline -O2 -g $(BIGFILES)
-+CFLAGS?=-Wall -Winline -O2 -g $(BIGFILES)
-
- # Where you want it installed when you do 'make install'
--PREFIX=/usr/local
-+PREFIX=/usr
-
-
- OBJS= blocksort.o \
-@@ -35,7 +35,7 @@ OBJS= blocksort.o \
- decompress.o \
- bzlib.o
-
--all: libbz2.a bzip2 bzip2recover test
-+all: libbz2.a bzip2 bzip2recover
-
- bzip2: libbz2.a bzip2.o
- $(CC) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2
diff --git a/package/fontconfig/patches/patch-fc-case_Makefile_in.orig b/package/fontconfig/patches/patch-fc-case_Makefile_in.orig
deleted file mode 100644
index 4cbfe89..0000000
--- a/package/fontconfig/patches/patch-fc-case_Makefile_in.orig
+++ /dev/null
@@ -1,24 +0,0 @@
---- fontconfig-2.8.0.orig/fc-case/Makefile.in 2009-11-19 00:49:38.000000000 +0100
-+++ fontconfig-2.8.0/fc-case/Makefile.in 2009-12-04 19:59:20.431178533 +0100
-@@ -114,10 +114,10 @@ AUTOCONF = @AUTOCONF@
- AUTOHEADER = @AUTOHEADER@
- AUTOMAKE = @AUTOMAKE@
- AWK = @AWK@
--CC = @CC_FOR_BUILD@
-+CC = @CC@
- CCDEPMODE = @CCDEPMODE@
- CC_FOR_BUILD = @CC_FOR_BUILD@
--CFLAGS = @CFLAGS@
-+CFLAGS =
- CONFDIR = @CONFDIR@
- CPP = @CPP@
- CPPFLAGS = @CPPFLAGS@
-@@ -252,7 +252,7 @@ target_alias = @target_alias@
- top_build_prefix = @top_build_prefix@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
--LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-+LINK = $(CCLD) $(AM_CFLAGS) $(AM_LDFLAGS) -o $@
- INCLUDES = -I${top_srcdir}/src -I${top_srcdir} $(WARN_CFLAGS)
- TMPL = fccase.tmpl.h
- STMPL = ${top_srcdir}/fc-case/${TMPL}
diff --git a/package/snort/patches/patch-configure.orig b/package/snort/patches/patch-configure.orig
deleted file mode 100644
index c2a99e2..0000000
--- a/package/snort/patches/patch-configure.orig
+++ /dev/null
@@ -1,74 +0,0 @@
---- snort-2.8.5.1.orig/configure 2009-10-19 23:08:11.000000000 +0200
-+++ snort-2.8.5.1/configure 2009-12-27 15:47:57.000000000 +0100
-@@ -24242,70 +24242,7 @@ _ACEOF
- fi
-
-
--# In case INADDR_NONE is not defined (like on Solaris)
--have_inaddr_none="no"
--echo "$as_me:$LINENO: checking for INADDR_NONE" >&5
--echo $ECHO_N "checking for INADDR_NONE... $ECHO_C" >&6
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <sys/types.h>
--#include <netinet/in.h>
--#include <arpa/inet.h>
--
--int
--main ()
--{
--
-- if (inet_addr("10,5,2") == INADDR_NONE);
-- return 0;
--
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- have_inaddr_none="yes"
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--have_inaddr_none="no"
--fi
--rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--echo "$as_me:$LINENO: result: $have_inaddr_none" >&5
--echo "${ECHO_T}$have_inaddr_none" >&6
--if test "x$have_inaddr_none" = "xno"; then
--
--cat >>confdefs.h <<\_ACEOF
--#define INADDR_NONE -1
--_ACEOF
--
--fi
-+have_inaddr_none="yes"
-
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
diff --git a/package/snort/patches/patch-src_detection-plugins_sp_pattern_match_c.orig b/package/snort/patches/patch-src_detection-plugins_sp_pattern_match_c.orig
deleted file mode 100644
index a0a9802..0000000
--- a/package/snort/patches/patch-src_detection-plugins_sp_pattern_match_c.orig
+++ /dev/null
@@ -1,47 +0,0 @@
---- snort-2.8.5.1.orig/src/detection-plugins/sp_pattern_match.c 2009-08-10 22:41:44.000000000 +0200
-+++ snort-2.8.5.1/src/detection-plugins/sp_pattern_match.c 2009-12-27 16:06:41.000000000 +0100
-@@ -831,7 +831,7 @@ void PayloadSearchListInit(char *data, O
- data++;
-
- /* grab everything between the starting " and the end one */
-- sptr = index(data, '"');
-+ sptr = strchr(data, '"');
- eptr = strrchr(data, '"');
-
- if(sptr != NULL && eptr != NULL)
-@@ -862,21 +862,21 @@ static char *PayloadExtractParameter(cha
- char *quote_one = NULL, *quote_two = NULL;
- char *comma = NULL;
-
-- quote_one = index(data, '"');
-+ quote_one = strchr(data, '"');
- if (quote_one)
- {
-- quote_two = index(quote_one+1, '"');
-+ quote_two = strchr(quote_one+1, '"');
- while ( quote_two && quote_two[-1] == '\\' )
-- quote_two = index(quote_two+1, '"');
-+ quote_two = strchr(quote_two+1, '"');
- }
-
- if (quote_one && quote_two)
- {
-- comma = index(quote_two, ',');
-+ comma = strchr(quote_two, ',');
- }
- else if (!quote_one)
- {
-- comma = index(data, ',');
-+ comma = strchr(data, ',');
- }
-
- if (comma)
-@@ -2035,7 +2035,7 @@ void ParsePattern(char *rule, OptTreeNod
- }
-
- /* find the start of the data */
-- start_ptr = index(rule, '"');
-+ start_ptr = strchr(rule, '"');
-
- if(start_ptr != rule)
- {
diff --git a/package/snort/patches/patch-src_detection-plugins_sp_replace_c.orig b/package/snort/patches/patch-src_detection-plugins_sp_replace_c.orig
deleted file mode 100644
index 3e78de5..0000000
--- a/package/snort/patches/patch-src_detection-plugins_sp_replace_c.orig
+++ /dev/null
@@ -1,11 +0,0 @@
---- snort-2.8.5.1.orig/src/detection-plugins/sp_replace.c 2009-07-07 17:37:04.000000000 +0200
-+++ snort-2.8.5.1/src/detection-plugins/sp_replace.c 2009-12-27 17:14:46.000000000 +0100
-@@ -122,7 +122,7 @@ static PatternMatchData * Replace_Parse(
- }
-
- /* find the start of the data */
-- start_ptr = index(rule, '"');
-+ start_ptr = strchr(rule, '"');
-
- if(start_ptr == NULL)
- {
diff --git a/package/snort/patches/patch-src_log_c.orig b/package/snort/patches/patch-src_log_c.orig
deleted file mode 100644
index 3848941..0000000
--- a/package/snort/patches/patch-src_log_c.orig
+++ /dev/null
@@ -1,38 +0,0 @@
---- snort-2.8.5.1.orig/src/log.c 2009-10-19 17:48:42.000000000 +0200
-+++ snort-2.8.5.1/src/log.c 2009-12-27 16:21:59.000000000 +0100
-@@ -916,7 +916,7 @@ void PrintArpHeader(FILE * fp, Packet *
- switch(ntohs(p->ah->ea_hdr.ar_op))
- {
- case ARPOP_REQUEST:
-- bcopy((void *)p->ah->arp_tpa, (void *) &ip_addr, sizeof(ip_addr));
-+ memcpy((void *) &ip_addr, (void *)p->ah->arp_tpa, sizeof(ip_addr));
- fprintf(fp, "ARP who-has %s", inet_ntoa(ip_addr));
-
- if(memcmp((char *) ezero, (char *) p->ah->arp_tha, 6) != 0)
-@@ -925,7 +925,7 @@ void PrintArpHeader(FILE * fp, Packet *
- p->ah->arp_tha[1], p->ah->arp_tha[2], p->ah->arp_tha[3],
- p->ah->arp_tha[4], p->ah->arp_tha[5]);
- }
-- bcopy((void *)p->ah->arp_spa, (void *) &ip_addr, sizeof(ip_addr));
-+ memcpy((void *) &ip_addr, (void *)p->ah->arp_spa, sizeof(ip_addr));
-
- fprintf(fp, " tell %s", inet_ntoa(ip_addr));
-
-@@ -938,7 +938,7 @@ void PrintArpHeader(FILE * fp, Packet *
- break;
-
- case ARPOP_REPLY:
-- bcopy((void *)p->ah->arp_spa, (void *) &ip_addr, sizeof(ip_addr));
-+ memcpy((void *) &ip_addr, (void *)p->ah->arp_spa, sizeof(ip_addr));
- fprintf(fp, "ARP reply %s", inet_ntoa(ip_addr));
-
- /* print out the originating request if we're on a weirder
-@@ -971,7 +971,7 @@ void PrintArpHeader(FILE * fp, Packet *
- break;
-
- case ARPOP_RREPLY:
-- bcopy((void *)p->ah->arp_tpa, (void *) &ip_addr, sizeof(ip_addr));
-+ memcpy((void *) &ip_addr, (void *)p->ah->arp_tpa, sizeof(ip_addr));
- fprintf(fp, "RARP reply %X:%X:%X:%X:%X:%X at %s",
- p->ah->arp_tha[0], p->ah->arp_tha[1], p->ah->arp_tha[2],
- p->ah->arp_tha[3], p->ah->arp_tha[4], p->ah->arp_tha[5],
diff --git a/package/snort/patches/patch-src_output-plugins_spo_alert_unixsock_c.orig b/package/snort/patches/patch-src_output-plugins_spo_alert_unixsock_c.orig
deleted file mode 100644
index fd98d87..0000000
--- a/package/snort/patches/patch-src_output-plugins_spo_alert_unixsock_c.orig
+++ /dev/null
@@ -1,32 +0,0 @@
---- snort-2.8.5.1.orig/src/output-plugins/spo_alert_unixsock.c 2009-05-07 00:29:12.000000000 +0200
-+++ snort-2.8.5.1/src/output-plugins/spo_alert_unixsock.c 2009-12-27 17:12:45.000000000 +0100
-@@ -176,16 +176,16 @@ void AlertUnixSock(Packet *p, char *msg,
-
- DEBUG_WRAP(DebugMessage(DEBUG_LOG, "Logging Alert data!\n"););
-
-- bzero((char *)&alertpkt,sizeof(alertpkt));
-+ memset((char *)&alertpkt, 0, sizeof(alertpkt));
- if (event)
- {
-- bcopy((const void *)event,(void *)&alertpkt.event,sizeof(Event));
-+ memcpy((void *)&alertpkt.event,(const void *)event,sizeof(Event));
- }
-
- if(p && p->pkt)
- {
-- bcopy((const void *)p->pkth,(void *)&alertpkt.pkth,sizeof(struct pcap_pkthdr));
-- bcopy((const void *)p->pkt,alertpkt.pkt,
-+ memcpy((void *)&alertpkt.pkth,(const void *)p->pkth,sizeof(struct pcap_pkthdr));
-+ memcpy(alertpkt.pkt,(const void *)p->pkt,
- alertpkt.pkth.caplen > SNAPLEN? SNAPLEN : alertpkt.pkth.caplen);
- }
- else
-@@ -193,7 +193,7 @@ void AlertUnixSock(Packet *p, char *msg,
-
- if (msg)
- {
-- bcopy((const void *)msg,(void *)alertpkt.alertmsg,
-+ memcpy((void *)alertpkt.alertmsg,(const void *)msg,
- strlen(msg)>ALERTMSG_LENGTH-1 ? ALERTMSG_LENGTH - 1 : strlen(msg));
- }
-